﻿/*
 * CKEditor Html Editor Provider for DotNetNuke
 * ========
 * http://dnnckeditor.codeplex.com/
 * Copyright (C) Ingo Herbote
 *
 * The software, this file and its contents are subject to the CKEditor Provider
 * License. Please read the license.txt file before using, installing, copying,
 * modifying or distribute this file or part of its contents. The contents of
 * this file is part of the Source Code of the CKEditor Provider.
 */

namespace WatchersNET.CKEditor.Constants
{
    using System;

    /// <summary>
    /// Provider Constants
    /// </summary>
    public static class SettingConstants
    {
        #region Constants and Fields

        /// <summary>
        /// The Legacy Toolbar Setting XML File Name
        /// </summary>
        [Obsolete("Legacy XML File")]
        public const string ToolbarXmlFileName = "CKToolbar.xml";

        /// <summary>
        /// The Legacy Toolbar Setting XML File Name
        /// </summary>
        public const string ToolbarSetXmlFileName = "CKToolbarSets.xml";

        /// <summary>
        /// The Toolbar Buttons XML File Name
        /// </summary>
        public const string ToolbarButtonXmlFileName = "CKToolbarButtons.xml";

        /// <summary>
        /// The Default Setting XML File Name
        /// </summary>
        public const string XmlDefaultFileName = "CKEditorDefaultSettings.xml";

        /// <summary>
        /// The Default Setting XML File Name
        /// </summary>
        public const string XmlSettingsFileName = "CKEditorSettings.xml";

        /// <summary>
        /// The blank text setting name.
        /// </summary>
        public const string BLANKTEXT = "blanktext";

        /// <summary>
        /// The browser setting name.
        /// </summary>
        public const string BROWSER = "browser";

        /// <summary>
        /// The browser root folder id setting name.
        /// </summary>
        public const string BROWSERROOTDIRID = "browserRootDirId";

        /// <summary>
        /// The config setting name.
        /// </summary>
        public const string CONFIG = "config";

        /// <summary>
        /// The CSS setting name.
        /// </summary>
        public const string CSS = "css";

        /// <summary>
        /// The file list page size setting name.
        /// </summary>
        public const string FILELISTPAGESIZE = "FileListPageSize";

        /// <summary>
        /// The file list view mode setting name.
        /// </summary>
        public const string FILELISTVIEWMODE = "FileListViewMode";

        /// <summary>
        /// The default link mode setting name.
        /// </summary>
        public const string DEFAULTLINKMODE = "DefaultLinkMode";

        /// <summary>
        /// The height setting name.
        /// </summary>
        public const string HEIGHT = "height";

        /// <summary>
        /// The inject JS setting name.
        /// </summary>
        public const string INJECTJS = "injectjs";

        /// <summary>
        /// The roles setting name.
        /// </summary>
        public const string ROLES = "roles";

        /// <summary>
        /// The show page links tab first setting name.
        /// </summary>
        public const string SHOWPAGELINKSTABFIRST = "ShowPageLinksTabFirst";

        /// <summary>
        /// The skin setting name.
        /// </summary>
        public const string SKIN = "skin";

        /// <summary>
        /// The CodeMirror theme setting name.
        /// </summary>
        public const string CODEMIRRORTHEME = "Codemirror_theme";

        /// <summary>
        /// The styles setting name.
        /// </summary>
        public const string STYLES = "styles";

        /// <summary>
        /// The sub directory setting name.
        /// </summary>
        public const string SUBDIRS = "subdirs";

        /// <summary>
        /// The templates setting name.
        /// </summary>
        public const string TEMPLATEFILES = "templates_files";

        /// <summary>
        /// The toolbar setting name.
        /// </summary>
        public const string TOOLB = "toolb";

        /// <summary>
        /// The upload folder id setting name.
        /// </summary>
        public const string UPLOADDIRID = "uploadDirId";

        /// <summary>
        /// The use anchor selector setting name.
        /// </summary>
        public const string USEANCHORSELECTOR = "UseAnchorSelector";

        /// <summary>
        /// The width setting name.
        /// </summary>
        public const string WIDTH = "width";

        /// <summary>
        /// The Resize width setting name.
        /// </summary>
        public const string RESIZEWIDTH = "resizewidth";

        /// <summary>
        /// The resize height setting name.
        /// </summary>
        public const string RESIZEHEIGHT = "resizeheight";

        #endregion
    }
}